// Copyright 2013-2015 Serilog Contributors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;
using System.IO;

using Serilog.Events;

namespace Serilog.Formatting.Display.Obsolete
{
    [Obsolete("Not used by the current output formatting implementation.")]
    class LogEventLevelValue : LogEventPropertyValue
    {
        readonly LogEventLevel _value;

        public LogEventLevelValue(LogEventLevel value)
        {
            _value = value;
        }

        /// <summary>
        /// This method will apply only upper or lower case formatting, not fixed width
        /// </summary>
        public override void Render(TextWriter output, string format = null, IFormatProvider formatProvider = null)
        {
            output.Write(LevelOutputFormat.GetLevelMoniker(_value, format));
        }
    }
}
